package <%= package %>.base;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;

import butterknife.Unbinder;
import timber.log.Timber;

/*
* About this class:
* This is our base activity. In this class we log all major activity lifecycle events.
* Also I have an unbinder object from Butterknife that I unbind from in onDestroy.
* */

public abstract class BaseActivity extends AppCompatActivity {

    protected Unbinder unbinder;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Timber.d("onCreate Called");
    }

    @Override
    protected void onStart() {
        super.onStart();
        Timber.d("onStart Called");
    }

    @Override
    protected void onPause() {
        Timber.d("onPauseCalled");
        super.onPause();
    }

    @Override
    protected void onResume() {
        super.onResume();
        Timber.d("onResume Called");
    }

    @Override
    protected void onStop() {
        Timber.d("onStop Called");
        super.onStop();
    }

    @Override
    protected void onDestroy() {
        Timber.d("onDestroy Called");
        if (unbinder != null) unbinder.unbind();
        super.onDestroy();
    }

}
