package <%= package %>.base;

import <%= package %>.managers.data.DataManager;
import io.reactivex.disposables.CompositeDisposable;

/*
* About this class:
* This is the base view presenter class which is to be inherited by all presenter classes.
* It creates a data manager and a composite disposable which it disposes in onDestroy of activity
* */
@SuppressWarnings("WeakerAccess")
public class BaseViewPresenter {
    protected DataManager dataManager;
    protected CompositeDisposable compositeDisposable;

    public BaseViewPresenter() {
        dataManager = DataManager.getDataManager();
        compositeDisposable = new CompositeDisposable();
    }

    public void onDestroy() {
        if (compositeDisposable != null) compositeDisposable.dispose();
    }
}
