package <%= package %>.managers.data;

import <%= package %>.managers.network.NetworkManager;

/*
* About this class:
* This is the brain of the application and this manager is responsible for all data control.
* It uses network manager to do network data calls and manages them.
* It also uses shared pref helper to keep small values.
* */
public class DataManager {
    private NetworkManager networkManager;

    private DataManager() {
        networkManager = NetworkManager.getNetworkManager();
    }

    public static DataManager getDataManager() {
        return DataManagerHelper.INSTANCE;
    }

    //Helper class to maintain data manager as a singleton
    private static class DataManagerHelper {
        private static final DataManager INSTANCE = new DataManager();
    }
}
