package <%= package %>.managers.network;

/*
* About this class:
* This manager's job is to supply network calls in the form of okHttp or retrofit
* wrapped in the form of observable. It is never directly accessed but only by data manager
* */
public class NetworkManager {
    private NetworkManager() {

    }

    public static NetworkManager getNetworkManager() {
        return NetworkManager.NetworkManagerHelper.INSTANCE;
    }

    //Helper class to maintain network manager as a singleton
    private static class NetworkManagerHelper {
        private static final NetworkManager INSTANCE = new NetworkManager();
    }

}
